#include <stdio.h>
#include <stdlib.h>

int main()
{
  double max=-999999,x;
  long long int n,i,j;
  scanf("%lld",&n);
  double a[n],b[n];
  for(i=0;i<n;i++)
  {
      scanf("%lf %lf",&a[i],&b[i]);
  }
  for(i=0;i<n;i++)
  {
      x=0;
      for(j=0;j<n;j++)
      {
          if(b[i]<=b[j])
          {
              x=x+a[j];
          }
      }
      x=x*b[i];
      if(max<x)
      {
          max=x;
      }
  }
  printf("%.4lf",max/100);
}